Skip to content

Employees & Lookup

Send a passcode reminder notification to the specified employee.

GET /v1/merchant/employee/passcode-reminder/{employeeReference}

Auth: Access token (Bearer).

Parameters

NameInRequiredDescription
employeeReferencepathYesThe globally unique reference of the employee to send the passcode reminder to.

Responses

StatusDescription
200The passcode reminder was sent successfully.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The employee with the specified reference was not found.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoFull merchant profile, extending ZGA.Core.Models.Merchants.BasicMerchant with trading details, linked accounts, terminals, employees, addresses, and KYB documentation.
json
{
  "success": true,
  "result": {
    "createdDate": "string",
    "loginCredentials": {},
    "tradingName": "string",
    "franchiseName": "string",
    "capturedBy": "string",
    "capturedFrom": "string",
    "industry": "None",
    "phoneNumber": "string",
    "notificationEmailAddress": "string",
    "notificationMobileNumber": "string",
    "city": "string",
    "state": "string",
    "languageIsoCode": "None",
    "webSiteUrl": "string",
    "isRegistrationComplete": true,
    "isEmailVerified": true,
    "isMobileNumberVerified": true,
    "vCard": "string",
    "logoImage": "string",
    "taxNumber": "string",
    "companyRegistrationNumber": "string",
    "companyRegistrationDate": "string",
    "adminPasscode": "string",
    "logoUrl": "string",
    "hostedPaymentUrl": "string",
    "hostedPaymentOptions": {},
    "posOptions": {},
    "business": {},
    "addresses": [],
    "employees": [],
    "terminals": [],
    "files": [],
    "notificationSettings": [],
    "attributes": [],
    "bankAccounts": [],
    "mobileWallets": [],
    "operatingTimes": [],
    "devices": [],
    "qrCodes": [],
    "assignedProductReferences": [],
    "reference": "00000000-0000-0000-0000-000000000000",
    "userReference": "00000000-0000-0000-0000-000000000000",
    "yourReference": "string",
    "source": "string",
    "name": "string",
    "categoryCode": 0,
    "category": "string",
    "emailAddress": "string",
    "mobileNumber": "string",
    "countryIsoCode": "None",
    "currency": "None",
    "kybStatusSummary": "Unverified",
    "shortCode": 0,
    "isActive": true
  }
}

Code samples

ts
// @vantagepay/vantagepay
// Sends a passcode reminder to an employee. Not wrapped by the JavaScript SDK.
// Not wrapped by the JavaScript SDK - call the endpoint directly with the active token.
const response = await fetch(baseUrl + '/v1/merchant/employee/passcode-reminder/' + employeeReference, {
  method: 'GET',
  headers: { Authorization: 'Bearer ' + ApiTokens.accessToken },
})
const result = await response.json()
csharp
// VantagePay.SDK
await client.Merchants.SendEmployeePasscodeReminderAsync(Guid.Parse("8a7b6c5d-4e3f-4210-9c8b-7a6f5e4d3c2b"));

Look up a merchant by external reference and source. Not available in production.

GET /v1/merchant/lookup/{merchantReference}/{merchantSource}

Auth: Access token (Bearer).

Parameters

NameInRequiredDescription
merchantReferencepathYesThe external reference of the merchant to look up.
merchantSourcepathYesThe source system of the merchant.

Responses

StatusDescription
200The request was successful and the merchant was found.
400The request failed validation, the error object will contain further information.
404The merchant with the specified reference was not found.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoFull merchant profile, extending ZGA.Core.Models.Merchants.BasicMerchant with trading details, linked accounts, terminals, employees, addresses, and KYB documentation.
json
{
  "success": true,
  "result": {
    "createdDate": "string",
    "loginCredentials": {},
    "tradingName": "string",
    "franchiseName": "string",
    "capturedBy": "string",
    "capturedFrom": "string",
    "industry": "None",
    "phoneNumber": "string",
    "notificationEmailAddress": "string",
    "notificationMobileNumber": "string",
    "city": "string",
    "state": "string",
    "languageIsoCode": "None",
    "webSiteUrl": "string",
    "isRegistrationComplete": true,
    "isEmailVerified": true,
    "isMobileNumberVerified": true,
    "vCard": "string",
    "logoImage": "string",
    "taxNumber": "string",
    "companyRegistrationNumber": "string",
    "companyRegistrationDate": "string",
    "adminPasscode": "string",
    "logoUrl": "string",
    "hostedPaymentUrl": "string",
    "hostedPaymentOptions": {},
    "posOptions": {},
    "business": {},
    "addresses": [],
    "employees": [],
    "terminals": [],
    "files": [],
    "notificationSettings": [],
    "attributes": [],
    "bankAccounts": [],
    "mobileWallets": [],
    "operatingTimes": [],
    "devices": [],
    "qrCodes": [],
    "assignedProductReferences": [],
    "reference": "00000000-0000-0000-0000-000000000000",
    "userReference": "00000000-0000-0000-0000-000000000000",
    "yourReference": "string",
    "source": "string",
    "name": "string",
    "categoryCode": 0,
    "category": "string",
    "emailAddress": "string",
    "mobileNumber": "string",
    "countryIsoCode": "None",
    "currency": "None",
    "kybStatusSummary": "Unverified",
    "shortCode": 0,
    "isActive": true
  }
}

Code samples

ts
// @vantagepay/vantagepay
// Looks up a merchant by reference and source.
// Not wrapped by the JavaScript SDK - call the endpoint directly with the active token.
const response = await fetch(baseUrl + '/v1/merchant/lookup/' + merchantReference + '/' + merchantSource, {
  method: 'GET',
  headers: { Authorization: 'Bearer ' + ApiTokens.accessToken },
})
const result = await response.json()
csharp
// VantagePay.SDK
// Looks up a merchant by reference and source.
// Not wrapped by the .NET SDK - call the endpoint directly with an authorized HttpClient.
using var http = new HttpClient { BaseAddress = new Uri("https://sandbox-api.vantagepay.dev") };
http.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", client.ApiTokens.AccessToken);
var response = await http.GetAsync($"/v1/merchant/lookup/{merchantReference}/{merchantSource}");
response.EnsureSuccessStatusCode();

Payments for Africa